Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

my operating system doesn't support 4.0. How can I get 3.5.2 version back?

  • 1 reply
  • 3 have this problem
  • 2 views
  • Paskiausią atsakymą parašė TonyE

more options

Unfortunately, I got rid of my latest version of Firefox (3.5.2) when I installed the latest upgrade of Firefox 4. However, my Max OS X version 10.4.11 doesn't support Firefox 4 and now I want to get 3.5.2 back. How do I do that?

Thanks!

All Replies (1)

more options

There is a third party version of Firefox 4 that runs on OS X 10.4/10.5 and PPC Macs, for details see http://www.floodgap.com/software/tenfourfox

If you prefer, you can get the latest version of Firefox 3.6 from http://www.mozilla.com/en-US/firefox/all-older.html

I recommend using Firefox 3.6 rather than 3.5, support for 3.5 is likely to end soon.